sailpoint.custom_user_levels.CustomUserLevelsApi
Use this API to implement custom user level functionality. With this functionality in place, administrators can create custom user levels and configure them for use throughout Identity Security Cloud.
Custom user levels allow administrators to create custom user levels that can be used to control access to Identity Security Cloud features and APIs.
Refer to User Levels for more information about User Levels.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-custom-user-level-v1 | POST /authorization/v1/custom-user-levels | Create a custom user level |
| delete-user-level-v1 | DELETE /authorization/v1/custom-user-levels/{id} | Delete a user level |
| get-user-level-v1 | GET /authorization/v1/custom-user-levels/{id} | Retrieve a user level |
| list-all-authorization-right-sets-v1 | GET /authorization/v1/authorization-assignable-right-sets | List all uiAssignable right sets |
| list-user-level-identities-v1 | GET /authorization/v1/user-levels/{id}/identities | List user level identities |
| list-user-levels-v1 | GET /authorization/v1/custom-user-levels | List user levels |
| publish-custom-user-level-v1 | POST /authorization/v1/custom-user-levels/{id}/publish | Publish a custom user level |
| show-user-level-counts-v1 | POST /authorization/v1/user-levels/get-identity-count | Count user levels identities |
| update-user-level-v1 | PATCH /authorization/v1/custom-user-levels/{id} | Update a user level |
create-custom-user-level-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Create a custom user level Creates a new custom user level for the tenant.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Body | userlevelrequest | Userlevelrequest | True | Payload containing the details of the user level to be created. - If only a parent right set id is included in the request body, all child right sets associated with that parent will be automatically assigned. - If the request body includes both a parent right set and a subset of its children, only the explicitly listed right sets (parent and specified children) will be assigned. Implicit inheritance is not applied in this case. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | The user level summary. | Userlevelsummarydto | * accept-language - The locale to use for translations for the response |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.userlevelrequest import Userlevelrequest
from sailpoint.custom_user_levels.models.userlevelsummarydto import Userlevelsummarydto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
userlevelrequest = '''{"name":"Identity And Access Management","description":"This is a description of the custom user level.","owner":{"id":"29b9da8273b441239238bc041c386817","name":"John Doe"},"rightSets":["idn:ui-identity-manage-example","idn:ui-identity-manage-child-one-example"]}''' # Userlevelrequest | Payload containing the details of the user level to be created. - If only a parent right set id is included in the request body, all child right sets associated with that parent will be automatically assigned. - If the request body includes both a parent right set and a subset of its children, only the explicitly listed right sets (parent and specified children) will be assigned. Implicit inheritance is not applied in this case.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Create a custom user level
new_userlevelrequest = Userlevelrequest.from_json(userlevelrequest)
results = CustomUserLevelsApi(api_client).create_custom_user_level_v1(userlevelrequest=new_userlevelrequest)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).create_custom_user_level_v1(new_userlevelrequest, x_sail_point_experimental)
print("The response of CustomUserLevelsApi->create_custom_user_level_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->create_custom_user_level_v1: %s\n" % e)
delete-user-level-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Delete a user level Deletes a specific user level by its ID.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Path | id | str | True | The unique identifier of the user level. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
(empty response body)
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 204 | No content - indicates the request was successful but there is no content to be returned in the response. | - | |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
id = '6e110911-5984-491b-be74-2707980a46a7' # str | The unique identifier of the user level. # str | The unique identifier of the user level.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Delete a user level
CustomUserLevelsApi(api_client).delete_user_level_v1(id=id)
# Below is a request that includes all optional parameters
# CustomUserLevelsApi(api_client).delete_user_level_v1(id, x_sail_point_experimental)
except Exception as e:
print("Exception when calling CustomUserLevelsApi->delete_user_level_v1: %s\n" % e)
get-user-level-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Retrieve a user level Fetches the details of a specific user level by its ID.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Path | id | str | True | The unique identifier of the user level. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | Successfully retrieved the user level details. | Userlevelsummarydto | * accept-language - The locale to use for translations for the response |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.userlevelsummarydto import Userlevelsummarydto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
id = '6e110911-5984-491b-be74-2707980a46a7' # str | The unique identifier of the user level. # str | The unique identifier of the user level.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Retrieve a user level
results = CustomUserLevelsApi(api_client).get_user_level_v1(id=id)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).get_user_level_v1(id, x_sail_point_experimental)
print("The response of CustomUserLevelsApi->get_user_level_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->get_user_level_v1: %s\n" % e)
list-all-authorization-right-sets-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
List all uiAssignable right sets Retrieves a list of authorization assignable right sets for the tenant.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. | |
| Query | filters | str | (optional) | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: category: eq |
| Query | sorters | str | (optional) | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: id, name, category |
| Query | limit | int | (optional) (default to 250) | Max number of results to return. See V3 API Standard Collection Parameters for more information. |
| Query | offset | int | (optional) (default to 0) | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | Successfully retrieved the list of authorization assignable right sets. | List[Hierarchicalrightset] | * X-Total-Count - Total number of user levels assigned to identities for this tenant. * accept-language - The locale to use for translations for the response |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.hierarchicalrightset import Hierarchicalrightset
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
filters = 'category eq \"identity\"' # str | Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **category**: *eq* (optional) # str | Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **category**: *eq* (optional)
sorters = 'name, -id, -category' # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **id, name, category** (optional) # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **id, name, category** (optional)
limit = 250 # int | Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 250) # int | Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 250)
offset = 0 # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0) # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0)
try:
# List all uiAssignable right sets
results = CustomUserLevelsApi(api_client).list_all_authorization_right_sets_v1()
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).list_all_authorization_right_sets_v1(x_sail_point_experimental, filters, sorters, limit, offset)
print("The response of CustomUserLevelsApi->list_all_authorization_right_sets_v1:\n")
for item in results:
print(item.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->list_all_authorization_right_sets_v1: %s\n" % e)
list-user-level-identities-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
List user level identities List of identities associated with a user level.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Path | id | str | True | The unique identifier of the user level. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. | |
| Query | count | bool | (optional) (default to False) | If true, X-Total-Count header with the the total number of identities for this user level will be included in the response. |
| Query | sorters | str | (optional) | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: displayName |
| Query | limit | int | (optional) (default to 250) | Max number of results to return. See V3 API Standard Collection Parameters for more information. |
| Query | offset | int | (optional) (default to 0) | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | List of identities associated with a user level. | List[Authuserslimresponse] | * X-Total-Count - Total number of user levels assigned to identities for this tenant. |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.authuserslimresponse import Authuserslimresponse
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
id = 'idn:access-request-administrator' # str | The unique identifier of the user level. # str | The unique identifier of the user level.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
count = False # bool | If true, X-Total-Count header with the the total number of identities for this user level will be included in the response. (optional) (default to False) # bool | If true, X-Total-Count header with the the total number of identities for this user level will be included in the response. (optional) (default to False)
sorters = 'displayName' # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **displayName** (optional) # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **displayName** (optional)
limit = 250 # int | Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 250) # int | Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 250)
offset = 0 # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0) # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0)
try:
# List user level identities
results = CustomUserLevelsApi(api_client).list_user_level_identities_v1(id=id)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).list_user_level_identities_v1(id, x_sail_point_experimental, count, sorters, limit, offset)
print("The response of CustomUserLevelsApi->list_user_level_identities_v1:\n")
for item in results:
print(item.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->list_user_level_identities_v1: %s\n" % e)
list-user-levels-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
List user levels Retrieves a list of user levels for the tenant.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. | |
| Query | detail_level | str | (optional) (default to basic) | Specifies the level of detail for the user levels. |
| Query | filters | str | (optional) | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: name: co owner: co status: eq description: co |
| Query | sorters | str | (optional) | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: name, created, description, status, owner |
| Query | limit | int | (optional) (default to 50) | Note that for this API the maximum value for limit is 50. See V3 API Standard Collection Parameters for more information. |
| Query | offset | int | (optional) (default to 0) | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | Successfully retrieved the list of user levels. | List[Userlevelsummarydto] | * X-Total-Count - Total number of user levels assigned to identities for this tenant. * accept-language - The locale to use for translations for the response |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.userlevelsummarydto import Userlevelsummarydto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
detail_level = basic # str | Specifies the level of detail for the user levels. (optional) (default to basic) # str | Specifies the level of detail for the user levels. (optional) (default to basic)
filters = 'name co \"identity\", owner co \"john\", status eq \"active\", description co \"some description\"' # str | Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **name**: *co* **owner**: *co* **status**: *eq* **description**: *co* (optional) # str | Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **name**: *co* **owner**: *co* **status**: *eq* **description**: *co* (optional)
sorters = 'name, -created, description, status, owner' # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **name, created, description, status, owner** (optional) # str | Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **name, created, description, status, owner** (optional)
limit = 50 # int | Note that for this API the maximum value for limit is 50. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 50) # int | Note that for this API the maximum value for limit is 50. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 50)
offset = 0 # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0) # int | Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional) (default to 0)
try:
# List user levels
results = CustomUserLevelsApi(api_client).list_user_levels_v1()
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).list_user_levels_v1(x_sail_point_experimental, detail_level, filters, sorters, limit, offset)
print("The response of CustomUserLevelsApi->list_user_levels_v1:\n")
for item in results:
print(item.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->list_user_levels_v1: %s\n" % e)
publish-custom-user-level-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Publish a custom user level Publishes a custom user level for the tenant, making it active and available.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Path | id | str | True | The unique identifier of the user level to publish. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | The publish status summary for current user level. | Userlevelpublishsummary | - |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.userlevelpublishsummary import Userlevelpublishsummary
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
id = '6e110911-5984-491b-be74-2707980a46a7' # str | The unique identifier of the user level to publish. # str | The unique identifier of the user level to publish.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Publish a custom user level
results = CustomUserLevelsApi(api_client).publish_custom_user_level_v1(id=id)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).publish_custom_user_level_v1(id, x_sail_point_experimental)
print("The response of CustomUserLevelsApi->publish_custom_user_level_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->publish_custom_user_level_v1: %s\n" % e)
show-user-level-counts-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Count user levels identities List of user levels along with the number of identities associated to it.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Body | request_body | []str | True | List of user level ids. Max 50 identifiers can be passed in a single request. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
List[Authuserlevelsidentitycount]
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | List of user levels along with the number of identities associated to it. | List[Authuserlevelsidentitycount] | * X-Total-Count - Total number of user levels assigned to identities for this tenant. |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.authuserlevelsidentitycount import Authuserlevelsidentitycount
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
request_body = '''['request_body_example']''' # List[str] | List of user level ids. Max 50 identifiers can be passed in a single request.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Count user levels identities
new_request_body = RequestBody.from_json(request_body)
results = CustomUserLevelsApi(api_client).show_user_level_counts_v1(request_body=new_request_body)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).show_user_level_counts_v1(new_request_body, x_sail_point_experimental)
print("The response of CustomUserLevelsApi->show_user_level_counts_v1:\n")
for item in results:
print(item.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->show_user_level_counts_v1: %s\n" % e)
update-user-level-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
on the configuration object you can set the x-sailpoint-experimental header to `true' to enable all experimantl endpoints within the SDK.
Example:
configuration = Configuration()
configuration.experimental = True
Update a user level Updates the details of a specific user level using JSON Patch.
Parameters
| Param Type | Name | Data Type | Required | Description |
|---|---|---|---|---|
| Path | id | str | True | The unique identifier of the user level. |
| Body | jsonpatch | Jsonpatch | True | JSON Patch payload for updating the user level. - If only a parent right set id is included in the request body, all child right sets associated with that parent will be automatically assigned. - If the request body includes both a parent right set and a subset of its children, only the explicitly listed right sets (parent and specified children) will be assigned. Implicit inheritance is not applied in this case. |
| x_sail_point_experimental | str | (optional) (default to 'true') | Use this header to enable this experimental API. |
Return type
Responses
| Code | Description | Data Type | Response headers |
|---|---|---|---|
| 200 | Successfully updated the user level. | Userlevelsummarydto | * accept-language - The locale to use for translations for the response |
| 400 | Client Error - Returned if the request body is invalid. | Errorresponsedto | - |
| 401 | Unauthorized - Returned if there is no authorization header, or if the JWT token is expired. | ListUserLevelsV1401Response | - |
| 403 | Forbidden - Returned if the user you are running as, doesn't have access to this end-point. | Errorresponsedto | - |
| 404 | Not Found - returned if the request URL refers to a resource or object that does not exist | Errorresponsedto | - |
| 429 | Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again. | ListUserLevelsV1429Response | - |
| 500 | Internal Server Error - Returned if there is an unexpected error. | Errorresponsedto | - |
HTTP request headers
- Content-Type: application/json-patch+json
- Accept: application/json
Example
from sailpoint.custom_user_levels.api.custom_user_levels_api import CustomUserLevelsApi
from sailpoint.custom_user_levels.api_client import ApiClient
from sailpoint.custom_user_levels.models.jsonpatch import Jsonpatch
from sailpoint.custom_user_levels.models.userlevelsummarydto import Userlevelsummarydto
from sailpoint.configuration import Configuration
configuration = Configuration()
configuration.experimental = True
with ApiClient(configuration) as api_client:
id = '6e110911-5984-491b-be74-2707980a46a7' # str | The unique identifier of the user level. # str | The unique identifier of the user level.
jsonpatch = '''[{"op":"replace","path":"/rightSets","value":["idn:ui-identity-manage-example"]}]''' # Jsonpatch | JSON Patch payload for updating the user level. - If only a parent right set id is included in the request body, all child right sets associated with that parent will be automatically assigned. - If the request body includes both a parent right set and a subset of its children, only the explicitly listed right sets (parent and specified children) will be assigned. Implicit inheritance is not applied in this case.
x_sail_point_experimental = 'true' # str | Use this header to enable this experimental API. (optional) (default to 'true') # str | Use this header to enable this experimental API. (optional) (default to 'true')
try:
# Update a user level
new_jsonpatch = Jsonpatch.from_json(jsonpatch)
results = CustomUserLevelsApi(api_client).update_user_level_v1(id=id, jsonpatch=new_jsonpatch)
# Below is a request that includes all optional parameters
# results = CustomUserLevelsApi(api_client).update_user_level_v1(id, new_jsonpatch, x_sail_point_experimental)
print("The response of CustomUserLevelsApi->update_user_level_v1:\n")
print(results.model_dump_json(by_alias=True, indent=4))
except Exception as e:
print("Exception when calling CustomUserLevelsApi->update_user_level_v1: %s\n" % e)